Bug 836450 - RFE: provide a notice when a book is not editable
RFE: provide a notice when a book is not editable
Status: CLOSED CURRENTRELEASE
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
0.0.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 02:42 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-22 05:06:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-29 02:42:43 EDT
To be editable in the system, a book needs to be built with buglinks turned on, which requires  a BZPRODUCT and BZCOMPONENT to be set in the content spec. 

We can't do this client-side unintrusively. (it could be done by saving the current version of the spec, writing a new version with these things turned on, pushing that, building, then restoring the old state; but that's intrusive)

So we rely on the author having the spec setup on the server in a particular way. When a book is built for some other purpose, it may have these things turned off, which will make docs hack system builds uneditable. 

In that case, the system should float a notice on the book saying what's up, and how to fix it.
Comment 1 Joshua Wulf 2013-04-22 05:06:27 EDT
Fixed now that we can force bug links on.

Note You need to log in before you can comment on or make changes to this bug.